Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1203347 - [abrt] exaile
Summary: [abrt] exaile
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:966f77b21356ecde428b547c1e0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 16:01 UTC by d.ilatowski
Modified: 2015-12-02 17:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 10:14:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (2.65 KB, text/plain)
2015-03-18 16:01 UTC, d.ilatowski
no flags Details
File: environ (1.38 KB, text/plain)
2015-03-18 16:01 UTC, d.ilatowski
no flags Details

Description d.ilatowski 2015-03-18 16:01:02 UTC
Description of problem:
Just starting a player

Version-Release number of selected component:
exaile-3.4.3-1.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python2 /usr/share/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
dso_list:       python-libs-2.7.8-7.fc21.x86_64
executable:     /usr/share/exaile/exaile.py
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
subprocess.py:1327:_execute_child:OSError: [Errno 2] Нет такого файла или каталога

Traceback (most recent call last):
  File "/usr/share/exaile/exaile.py", line 85, in <module>
    main()
  File "/usr/share/exaile/exaile.py", line 82, in main
    exaile = main.Exaile()
  File "/usr/share/exaile/xl/main.py", line 164, in __init__
    from xl.version import __version__
  File "/usr/share/exaile/xl/version.py", line 49, in <module>
    revision = get_current_revision(xdg.exaile_dir)
  File "/usr/share/exaile/xl/version.py", line 43, in get_current_revision
    'git', 'rev-parse', '--short=7', 'HEAD'
  File "/usr/lib64/python2.7/subprocess.py", line 566, in check_output
    process = Popen(stdout=PIPE, *popenargs, **kwargs)
  File "/usr/lib64/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.7/subprocess.py", line 1327, in _execute_child
    raise child_exception
OSError: [Errno 2] Нет такого файла или каталога

Local variables in innermost frame:
errread: None
c2pread: 7
gc_was_enabled: True
errwrite: None
shell: False
errpipe_write: 10
to_close: set([7])
close_fds: False
self: <subprocess.Popen object at 0x7fc7cace6f90>
env: None
cwd: None
child_exception: OSError(2, '\xd0\x9d\xd0\xb5\xd1\x82 \xd1\x82\xd0\xb0\xd0\xba\xd0\xbe\xd0\xb3\xd0\xbe \xd1\x84\xd0\xb0\xd0\xb9\xd0\xbb\xd0\xb0 \xd0\xb8\xd0\xbb\xd0\xb8 \xd0\xba\xd0\xb0\xd1\x82\xd0\xb0\xd0\xbb\xd0\xbe\xd0\xb3\xd0\xb0')
args: ['git', 'rev-parse', '--short=7', 'HEAD']
executable: 'git'
c2pwrite: 8
data: 'cexceptions\nOSError\np0\n(I2\nS\'\\xd0\\x9d\\xd0\\xb5\\xd1\\x82 \\xd1\\x82\\xd0\\xb0\\xd0\\xba\\xd0\\xbe\\xd0\\xb3\\xd0\\xbe \\xd1\\x84\\xd0\\xb0\\xd0\\xb9\\xd0\\xbb\\xd0\\xb0 \\xd0\\xb8\\xd0\\xbb\\xd0\\xb8 \\xd0\\xba\\xd0\\xb0\\xd1\\x82\\xd0\\xb0\\xd0\\xbb\\xd0\\xbe\\xd0\\xb3\\xd0\\xb0\'\np1\ntp2\nRp3\n(dp4\nS\'child_traceback\'\np5\nS\'Traceback (most recent call last):\\n  File "/usr/lib64/python2.7/subprocess.py", line 1282, in _execute_child\\n    os.execvp(executable, args)\\n  File "/usr/lib64/python2.7/os.py", line 346, in execvp\\n    _execvpe(file, args)\\n  File "/usr/lib64/python2.7/os.py", line 382, in _execvpe\\n    func(fullname, *argrest)\\nOSError: [Errno 2] \\xd0\\x9d\\xd0\\xb5\\xd1\\x82 \\xd1\\x82\\xd0\\xb0\\xd0\\xba\\xd0\\xbe\\xd0\\xb3\\xd0\\xbe \\xd1\\x84\\xd0\\xb0\\xd0\\xb9\\xd0\\xbb\\xd0\\xb0 \\xd0\\xb8\\xd0\\xbb\\xd0\\xb8 \\xd0\\xba\\xd0\\xb0\\xd1\\x82\\xd0\\xb0\\xd0\\xbb\\xd0\\xbe\\xd0\\xb3\\xd0\\xb0\\n\'\np6\nsb.'
creationflags: 0
errpipe_read: 9
preexec_fn: None
p2cread: None
startupinfo: None
p2cwrite: None
_close_in_parent: <function _close_in_parent at 0x7fc7c9fa67d0>
universal_newlines: False

Comment 1 d.ilatowski 2015-03-18 16:01:05 UTC
Created attachment 1003319 [details]
File: backtrace

Comment 2 d.ilatowski 2015-03-18 16:01:06 UTC
Created attachment 1003320 [details]
File: environ

Comment 3 Fedora End Of Life 2015-11-04 16:02:08 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 10:14:41 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.